WordPress.org

Ready to get started?Download WordPress

Forums

FireStorm Professional Real Estate Plugin
[resolved] Google Maps API Key (9 posts)

  1. Jon Hardison
    Member
    Posted 2 years ago #

    Just installed your plug-in and went to grab a Google Maps API key. Apparently Google isn't issuing them any longer.

    Is there a way to get around this, or do you have a new version that doesn't require it?

    Thanx,
    Jon-

    http://wordpress.org/extend/plugins/fs-real-estate-plugin/

  2. FireStorm Plugins
    Member
    Plugin Author

    Posted 2 years ago #

    Hi Jon,

    Yes it appears they no longer offer the API's the same way they did before. This must have been changed in the past week. I'm will work on getting a new version out that does not require the API code.

    In the meantime, it appears you can still get API codes via your Google account - http://code.google.com/apis/maps/documentation/javascript/v2/introduction.html#Obtaining_Key

  3. Jon Hardison
    Member
    Posted 2 years ago #

    Thanx a bunch for that! I didn't think that would work. Will try it now. Do I need to v2 or v3 API for your plugin?

    Last question: I went ahead and activated the plug-in again and it seems to be working so far. I added a test property and saved it.

    It seems the plug-in creates a listings page automatically. I looked at the page and it contains [fsrep-listings], but when I try to visit the page I get a 404. Can't think of why, and I haven't looked too deeply into the matter (as I was waiting for word back from you), but I thought I'd ask considering I had your ear. :-)

    I'll obviously continue to try to figure out what I did wrong, but if you can think of anything, please do let me know.

    We're running HeadwayThemes 2.X and WP's latest release. Our permalinks are /%category%/%postname%/.

    Thanx again for your quick response to the question. Really appreciate it.

    Jon-

  4. Jon Hardison
    Member
    Posted 2 years ago #

    Actually, it just struck me that this might also be an issue with xiligroup's Language plug-in, so if you can't think of anything obvious, don't worry about it at all.

    Uggg... This site is for a Canadian client and most things have to be in French and English, which is turning into a real pain.

    Anyways, thanx again for your help.
    Jon-

  5. FireStorm Plugins
    Member
    Plugin Author

    Posted 2 years ago #

    Hi Jon,

    Can you contact me via the contact form here: http://www.firestormplugins.com/contact/

    Provide me with a link to the site so I can take a look. You can also try deactivating all other plugins to see if the issue is resolved.

    I'm hoping to get working on better multi-language support (including support for WPML) as soon as I have a bit more time.

    Wes
    FireStorm Plugins
    http://www.firestormplugins.com

  6. FireStorm Plugins
    Member
    Plugin Author

    Posted 2 years ago #

    Regarding the first post, the plugin has been updated to Google Maps V3 which does not require an API code.

  7. Jon Hardison
    Member
    Posted 2 years ago #

    Sorry it took a while for me to get back to you. Thanx for the update on the API for Google Maps and the information on the language issue!

    The xiliGroup Plug-in Xili-Language actually uses WordPress Standards, which was part of the issue for me. Turns out my theme (HeadwayTheme v2.x) did NOT. I worked with Michel at XiliGroup to rewrite xili-extended to add support for Headway so that's all working now.

    I'm going to grab the new copy of your plug-in and give it another go. It's entirely possible that it's working properly already.

    Thanx again for turning this around so quickly. If I still find issues, I'll jump on your forum link and let you know what I find.

    Jon-

  8. DanOfEarth
    Member
    Posted 2 years ago #

    For some reason the Google Maps isn't working on mine. I've even loaded Google Maps for WordPress and put my API key in there. Any thoughts?

  9. FireStorm Plugins
    Member
    Plugin Author

    Posted 2 years ago #

    Hi DanOfEarth,

    Can you contact me via the contact form here: http://www.firestormplugins.com/contact/

    Provide me with a link to the site so I can take a look.

    If you have another Google Maps plugin running, it is possible there is a conflict. The current version of the FSRE plugin does not require an API key.

    Wes
    FireStorm Plugins
    http://www.firestormplugins.com

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic